Download it now!
Bug 62769 - Compatibility with MS Word and OneDrive
Summary: Compatibility with MS Word and OneDrive
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: MultipleBugs NeedsSkydrive NeedsWindo...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-26 16:01 UTC by John
Modified: 2014-12-02 21:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John 2013-03-26 16:01:56 UTC
I have LibreOffice installed on a Mac Pro with the latest OS and edition of Libre and I have MS Word 2007 on Windows 8.  

You can edit a document in Libre and save it in Skydrive from the Mac without any apparent errors.  However when you open the document in Word 2007 on the Windows 8 desktop the revisions are not recognized.  You will see the original state of the document not the edited version.  

Also you can not see any of the new documents saved by Libre from the Mac on Windows 8.  Accessing documents through Firefox and Skydrive do not display the documents that are created and the revisions of the document docx/doc are not present when opened in Firefox.

Skydrive displays two documents when accessed from apparently most applications on Windows 8.  On the Mac however, from finder you see all the documents, 6 in all, created or edited in Libre. 

I saved the primary document in which the changes are not displayed from Libre on the Mac to dropbox.  Then opened it in MS Word on the Windows 8 system.  Finally the changes made to the document are visible.

So not sure but here are probably two issues. 

1. Revisions of an edited document via the Apple OS are apparently saved but not accessible via Windows 8 under most circumstances.  

2. Windows 8 does not display all the documents that are stored in the cloud and does not allow access.  However when using drop box all documents were accessible and displayed the most recent revision.
Comment 1 bfoman (inactive) 2013-03-26 18:15:48 UTC
(In reply to comment #0)
> 1. Revisions of an edited document via the Apple OS are apparently saved but
> not accessible via Windows 8 under most circumstances.  
> 2. Windows 8 does not display all the documents that are stored in the cloud
> and does not allow access.  

If you do not see full SkyDrive contents on Windows 8 in Explorer, then it is not LibreOffice bug...
Comment 2 John 2013-04-06 18:24:46 UTC
I agree that windows 8 / Microsoft is probably the culprit and probably intentionally so.  However it is apparent that the criteria Microsoft has established for compatibility via windows 8 is not met by LibreOffice. 

This also appears to be true in relationship to Microsoft applications, on a PC in particular.  

Primarily documents are not recognized in all their iterations and second the marker that delineates revisions in a document is not updating correctly at least as far as the Microsoft OS and applications are concerned. The interesting part is that downloading a document locally appears to remedy the revision issue.

In order to be an alternative application Libreoffice must function correctly in the Microsoft world.  So the fact that Microsoft has established criteria that excludes some products until updated is really not relevant.  Do we want an open standard? Of course but do we have one, certainly not.

This problem renders the application unserviceable for my purposes.  Because I can not trust the documentation to be correct when on a Windows 8 platform.
Comment 3 Mike Kaganski 2013-08-09 03:41:00 UTC
I do not have a Mac. But I use LO and Skydrive for quite long time. And I have no problems there.

I suppose that there is some problem in Mac app for SkyDrive, that prevents it to upload the modified document to MS server. There's no "criteria" that MS established: the Skydrive accepts just any file you put there; in MS Windows, when I use MS SkyDrive app for Windows, the only requirement is that it is not blocked by an editing software - so, while I have a document open in LO, it is not synchronized to Skydrive, but as soon as I close it, app detects it and synchronizez successfully.
Comment 4 Robinson Tryon (qubit) 2014-02-04 14:05:24 UTC
(In reply to comment #0)
> So not sure but here are probably two issues. 
> 
> 1. Revisions of an edited document via the Apple OS are apparently saved but
> not accessible via Windows 8 under most circumstances.  
> 
> 2. Windows 8 does not display all the documents that are stored in the cloud
> and does not allow access.  However when using drop box all documents were
> accessible and displayed the most recent revision.

Hi John,
Skydrive can be configured to support CMIS, but Skydrive Online appears not to support CMIS:
http://community.office365.com/en-us/forums/154/t/77234.aspx

Let's mark your notes as an enhancement request, and perhaps consolidate the results in the future; we can also hope to see more CMIS support in Skydrive in the future.
Comment 5 bfoman (inactive) 2014-02-19 15:50:07 UTC
SkyDrive renamed to OneDrive.
Comment 6 Julien Nabet 2014-12-02 21:27:52 UTC
About OneDrive, there's already fdo#62437 put in See Also.

For compatibility problem, please check again with last stable LO version 4.3.4 and open a brand new bugtracker per bug.
Indeed, several bugs in 1 bugtracker make this one unmanageable.

So for now, let's put this one as WONTFIX.